Package com.independentsoft.office

# Class InternalXMLStreamReader

java.lang.Object
com.independentsoft.office.InternalXMLStreamReader

public class InternalXMLStreamReader extends Object
The Class InternalXMLStreamReader.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalXMLStreamReader​(InputStream inputStream)`
  Instantiates a new internal xml stream reader.
  `InternalXMLStreamReader​(InputStream inputStream, Relationship relationship)`
  Instantiates a new internal xml stream reader.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLStreamReader`
  `get()`
  Gets the.
  `Relationship`
  `getRelationship()`
  Gets the relationship.
  `String`
  `readInnerXml()`
  Reads the inner XML (the markup between the start and end tags) of the element the reader is currently positioned on, and advances the reader to the node after the element's end tag.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InternalXMLStreamReader

    public InternalXMLStreamReader​(InputStream inputStream) throws XMLStreamException
    Instantiates a new internal xml stream reader.
    Parameters:
      `inputStream` - the input stream
    Throws:
      `XMLStreamException` - the xML stream exception

  - ### InternalXMLStreamReader

    public InternalXMLStreamReader​(InputStream inputStream, Relationship relationship) throws XMLStreamException
    Instantiates a new internal xml stream reader.
    Parameters:
      `inputStream` - the input stream
      `relationship` - the relationship
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### get

    public XMLStreamReader get()
    Gets the.
    Returns:
      the xML stream reader

  - ### getRelationship

    public Relationship getRelationship()
    Gets the relationship.
    Returns:
      the relationship

  - ### readInnerXml

    public String readInnerXml() throws XMLStreamException
    Reads the inner XML (the markup between the start and end tags) of the element the reader is currently positioned on, and advances the reader to the node after the element's end tag. Mirrors System.Xml.XmlReader.ReadInnerXml: the element's own tags are not included, child element/attribute prefixes are preserved as written, and only namespaces declared on the captured elements themselves are emitted (ancestor namespace declarations are assumed to be present in the output document root).
    Returns:
      the inner XML as a string (empty if there is no child content)
    Throws:
      `XMLStreamException` - the XML stream exception